//
//  IsingValue.m
//  IsingCocoa
//
//  Created by Cameron Hayne on 12/05/05.
//  Copyright Hayne of Tintagel 2005
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "IsingValue.h"

@implementation NSValue (Ising)

+ (NSValue *)valueWithIsingSize:(IsingSize)isingSize
{
    NSSize size = NSMakeSize(isingSize.width, isingSize.height);
    return [NSValue valueWithSize: size];
}

- (IsingSize)isingSizeValue
{
    NSSize size = [self sizeValue];
    IsingSize isingSize = makeIsingSize((int)size.width, (int)size.height);
    return isingSize;
}

@end
