//
//  BlockSpinsParamsPanelCtl.h
//  IsingCocoa
//
//  Created by Cameron Hayne on 08/05/05.
//  Copyright Hayne of Tintagel 2005
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import <Cocoa/Cocoa.h>
@class IsingSpinView;
@class IsingModel;
@class IsingWindowCtl;

@interface BlockSpinsParamsPanelCtl : NSWindowController
{
    IBOutlet id         sheet;
    IBOutlet id         squareBlocksChk;
    IBOutlet id         widthPopup;
    IBOutlet id         heightPopup;
    IBOutlet id         okBtn;
    
    IsingWindowCtl     *isingWindowCtl;
    NSWindow           *mainWindow;
    IsingSpinView      *spinView;
    IsingModel         *model;
}

- (id)initForWindowCtl:(IsingWindowCtl *)aWindowCtl;
- (IBAction)squareChkAction:(id)sender;
- (IBAction)widthPopupAction:(id)sender;
- (IBAction)closeSheet:(id)sender;

@end
